Package org.gradle.tooling.model

## Interface ProjectModel

- All Known Subinterfaces:
    `BasicGradleProject`, `BuildInvocations`, `CppProject`, `EclipseProject`, `GradleProject`, `GradlePublication`, `GradleTask`, `HasGradleProject`, `HierarchicalEclipseProject`, `IdeaModule`, `Launchable`, `ProjectPublications`, `Task`, `TaskSelector`

      public interface ProjectModel

  Represents a model that is associated with some Gradle project.
  Since:
    3.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ProjectIdentifier` | `getProjectIdentifier()` | Returns the identifier for the project that this model is associated with.

- - ### Method Detail

    - #### getProjectIdentifier

          ProjectIdentifier getProjectIdentifier()

      Returns the identifier for the project that this model is associated with.